version: "3.7"

services:
    
    php:
        build:
            context: .
        volumes:
            - ./html/kernel:/var/www/html/kernel:rw,cached
            - ./html/extension:/var/www/html/extension:rw,cached
            - ./html/vendor:/var/www/html/vendor:rw,cached
            - ./conf.d/ez/siteaccess:/var/www/html/settings/siteaccess:rw,cached
            - ./conf.d/ez/override:/var/www/html/settings/override:rw,cached
            - ./conf.d/installer:/var/www/installer:rw,cached
            - ./composer.json:/var/www/composer.json
            - ./composer.lock:/var/www/composer.lock
            
    nginx:
        build:
            context: .
            dockerfile: Dockerfile.nginx
            args:
                php_image: registry.gitlab.com/opencontent/opencity/php:latest
        volumes:
            - ./html/design:/var/www/html/design:ro,cached
            - ./html/extension:/var/www/html/extension:ro,cached
    
    pgweb:
        image: sosedoff/pgweb
        environment:
            DATABASE_URL: postgres://openpa:openp4ssword@postgres:5432/opencity?sslmode=disable
        depends_on:
            - postgres
    
    solr:
        build:
            context: .
            dockerfile: Dockerfile.solr
        environment:
            VERBOSE: 'yes'
        ports:
            - 8983:8983

    varnish:
        build:
            context: .
            dockerfile: Dockerfile.varnish        
            
    redisweb:
        image: marian/rebrow
        volumes:
            - redisdata:/data
        ports:
            - 5001:5001

